gRPC C#
gRPC C#
Namespaces
Grpc.Core
IAsyncStreamWriter(T) Interface
IAsyncStreamWriter(T) Methods
WriteAsync Method

IAsyncStreamWriter T WriteAsync Method

Writes a single asynchronously. Only one write can be pending at a time.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    Task WriteAsync(
    	T message
    )

    Function WriteAsync (
    	message As T
    ) As Task

    Task^ WriteAsync(
    	T message
    )

    abstract WriteAsync :
            message : 'T -> Task

#### Parameters

message
  Type: T
  the message to be written. Cannot be null.

#### Return Value

Type: Task
See Also

#### Reference

IAsyncStreamWriter
T
Interface
Grpc.Core Namespace